Index: trunk/DataCheck/Processing/FillAuxMagic.sh
===================================================================
--- trunk/DataCheck/Processing/FillAuxMagic.sh	(revision 19483)
+++ trunk/DataCheck/Processing/FillAuxMagic.sh	(revision 19484)
@@ -118,4 +118,9 @@
          query="SELECT Mjd(fRunStop)-40587-0.00011574 FROM RunInfo WHERE fNight="$runnumber" AND fRunID="$filenum
          tstop2=`sendquery`
+         if [ "$tstart" = "" ] || [ "$tstop" = "" ] || [ "$runtype" = "n/a" ]
+         then 
+            printprocesslog "WARN: "$rawfile" not available and one of the following information empty in DB: fRunStart("$tstart"), fRunStop("$tstop"), fRunTypeKey("$runtype") "
+            continue
+         fi
       else
          #checkfitsfile=`fverify $rawfile  2>/dev/null | grep '0 error(s)'`
@@ -160,6 +165,13 @@
       then 
          #echo $magicweatherfile" "$tstart" "$tstop
-         #root -q -b -l fact/processing/magicweather.C\("\"$magicweatherfile\""\,$tstart\,$tstop\) | grep "result"
+         printprocesslog "DEBUG root -q -b -l fact/processing/magicweather.C\("\"$magicweatherfile\""\,"$tstart"\,"$tstop"\)"
          mtemps=( `root -q -b -l fact/processing/magicweather.C\("\"$magicweatherfile\""\,$tstart\,$tstop\) | grep "result" | grep -E -o '[-]?[0-9]+[.]?[0-9]*'` )
+         check1=$?
+         case $check1 in
+            0)   printprocesslog "INFO got info from "$magicweatherfile
+                 ;;
+            *)   printprocesslog "WARN getting info from "$magicweatherfile" failed (check1="$check1")."
+                 ;;
+         esac
          #echo ${mtemps[@]}
          if [ "${mtemps[0]}" == "" ]
